lawlis_a = load('LawlisPI-512_1250.txt');
PI512_1250 = 10.^(lawlis_a(:,1));
lawlis_b = load('lawlisPI-539_1250.txt');
PI539_1250 = 10.^(lawlis_b(:,1));
lawlis_c = load('LawlisPI-512_1200.txt');
PI512_1200 = lawlis_c(:,1);
da = lawlis_a(:,4);
db = lawlis_b(:,4);
dc = lawlis_c(:,6);
discont_a = lawlis_a(:,3);
discont_b = lawlis_b(:,3);
discont_c = lawlis_c(:,5);

figure
hold all
colormap(Jet)
scatter(da,PI512_1250,50,discont_a,'d','filled')
scatter(db,PI539_1250,50,discont_b,'d','filled')
set(gca,'xscale','log')
set(gca,'yscale','log')
axis([1 10000 0.1 1000])
title('PI-512 & PI-539 T = 1250 C, P = 450 MPa, from Lawlis (1998)')
xlabel('Grain size (\mum)');
ylabel('\sigma_{diff} (MPa)');
hleg1 = legend('PI512_-1250','PI539_-1250');
set(hleg1,'Location','SouthEast')
hold off

figure
hold all
colormap(Jet)
scatter(dc,PI512_1200,50,discont_c,'d','filled')
set(gca,'xscale','log')
set(gca,'yscale','log')
axis([1 10000 0.1 1000])
title('PI-512 T = 1200 C, P = 450 MPa, from Lawlis (1998)')
xlabel('Grain size (\mum)');
ylabel('\sigma_{diff} (MPa)');
hleg1 = legend('PI512_-1200');
set(hleg1,'Location','SouthEast')
hold off

%Legend
A = [0:1:40];
B = [1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1];
C = [0:1:40];

Legend colormap(Jet)
figure
hold all
colormap(Jet)
scatter(A,B,50,C,'s','filled')
axis([0 40 0 2])
hold off
